Package net.shibboleth.idp.saml.saml1.profile.impl

# Class AddAuthenticationStatementToAssertion.AssertionStrategy

java.lang.Object
net.shibboleth.idp.saml.saml1.profile.impl.AddAuthenticationStatementToAssertion.AssertionStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,Assertion>`

Enclosing class:
  AddAuthenticationStatementToAssertion

private class AddAuthenticationStatementToAssertion.AssertionStrategy extends Object implements Function<ProfileRequestContext,Assertion>
Default strategy for obtaining assertion to modify.

If the outbound context is empty, a new assertion is created and stored there. If the outbound message is already an assertion, it's returned. If the outbound message is a response, then either an existing or new assertion in the response is returned, depending on the action setting. If the outbound message is anything else, null is returned.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AssertionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Assertion`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AssertionStrategy

private AssertionStrategy()

## Method Details

### apply

@Nullable public Assertion apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Assertion>`